using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

/// <summary>
/// Summary description for TipaManager
/// </summary>
public class TipaManager
{
    public TipaManager()
    {
        //
        // TODO: Add constructor logic here
        //
    }

    public List<Press> GetAllPress()
    {
        List<Press> list = new List<Press>();


        Press press1 = new Press() { PressID = 1, PressName = "PRIEW" };
        press1.PressImages.Add(new PressImage() { PhotoID = 1, PhotoName = "priew1.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 2, PhotoName = "priew2.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 3, PhotoName = "priew3.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 4, PhotoName = "priew4.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 5, PhotoName = "priew5.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 6, PhotoName = "priew6.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 7, PhotoName = "priew7.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 8, PhotoName = "priew8.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 9, PhotoName = "priew9.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 10, PhotoName = "priew10.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 11, PhotoName = "priew11.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 12, PhotoName = "priew12.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 13, PhotoName = "priew13.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 14, PhotoName = "priew14.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 15, PhotoName = "priew15.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 16, PhotoName = "priew16.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 17, PhotoName = "priew17.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 18, PhotoName = "priew18.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 19, PhotoName = "priew19.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 20, PhotoName = "priew20.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 21, PhotoName = "priew21.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 22, PhotoName = "priew22.jpg" });
        press1.PressImages.Add(new PressImage() { PhotoID = 23, PhotoName = "priew23.jpg" });

        Press press2 = new Press() { PressID = 2, PressName = "L'OFFICIEL" };
        press2.PressImages.Add(new PressImage() { PhotoID = 24, PhotoName = "official1.jpg" });
        press2.PressImages.Add(new PressImage() { PhotoID = 25, PhotoName = "official2.jpg" });
        press2.PressImages.Add(new PressImage() { PhotoID = 26, PhotoName = "official3.jpg" });
        press2.PressImages.Add(new PressImage() { PhotoID = 27, PhotoName = "official4.jpg" });
        press2.PressImages.Add(new PressImage() { PhotoID = 28, PhotoName = "official5.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 29, PhotoName = "official6.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 30, PhotoName = "official7.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 31, PhotoName = "official8.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 32, PhotoName = "official9.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 33, PhotoName = "official10.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 34, PhotoName = "official11.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 35, PhotoName = "official12.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 36, PhotoName = "official13.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 37, PhotoName = "official14.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 38, PhotoName = "official15.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 39, PhotoName = "official16.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 40, PhotoName = "official17.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 41, PhotoName = "official18.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 42, PhotoName = "official19.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 43, PhotoName = "official20.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 44, PhotoName = "official21.jpg" });
        //press2.PressImages.Add(new PressImage() { PhotoID = 45, PhotoName = "official22.jpg" });
        

        Press press3 = new Press() { PressID = 3, PressName = "MIX MAGAZINE" };
        press3.PressImages.Add(new PressImage() { PhotoID = 55, PhotoName = "mix1.jpg" });
        press3.PressImages.Add(new PressImage() { PhotoID = 56, PhotoName = "mix2.jpg" });
        press3.PressImages.Add(new PressImage() { PhotoID = 57, PhotoName = "mix3.jpg" });
        press3.PressImages.Add(new PressImage() { PhotoID = 58, PhotoName = "mix4.jpg" });
        press3.PressImages.Add(new PressImage() { PhotoID = 59, PhotoName = "mix5.jpg" });
        press3.PressImages.Add(new PressImage() { PhotoID = 60, PhotoName = "mix6.jpg" });
        press3.PressImages.Add(new PressImage() { PhotoID = 61, PhotoName = "mix7.jpg" });
        press3.PressImages.Add(new PressImage() { PhotoID = 62, PhotoName = "mix8.jpg" });

        Press press4 = new Press() { PressID = 4, PressName = "LIP MAGAZINE" };
        press4.PressImages.Add(new PressImage() { PhotoID = 63, PhotoName = "lip1.jpg" });
        press4.PressImages.Add(new PressImage() { PhotoID = 64, PhotoName = "lip2.jpg" });
        press4.PressImages.Add(new PressImage() { PhotoID = 65, PhotoName = "lip3.jpg" });
        press4.PressImages.Add(new PressImage() { PhotoID = 66, PhotoName = "lip4.jpg" });
        press4.PressImages.Add(new PressImage() { PhotoID = 91, PhotoName = "lip5.jpg" });
        press4.PressImages.Add(new PressImage() { PhotoID = 92, PhotoName = "lip6.jpg" });
        press4.PressImages.Add(new PressImage() { PhotoID = 93, PhotoName = "lip7.jpg" });
        press4.PressImages.Add(new PressImage() { PhotoID = 94, PhotoName = "lip8.jpg" });
        press4.PressImages.Add(new PressImage() { PhotoID = 95, PhotoName = "lip9jpg" });
        press4.PressImages.Add(new PressImage() { PhotoID = 96, PhotoName = "lip10.jpg" });
        press4.PressImages.Add(new PressImage() { PhotoID = 97, PhotoName = "lip11.jpg" });
        press4.PressImages.Add(new PressImage() { PhotoID = 98, PhotoName = "lip12.jpg" });


        Press press5 = new Press() { PressID = 5, PressName = "HISOPARTY MAGAZINE" };


        //Press press6 = new Press() { PressID = 6, PressName = "PLOY KAEM PETCH MAGAZINE" };
        //press6.PressImages.Add(new PressImage() { PhotoID = 67, PhotoName = "Ploykaempetch1.jpg" });
        //press6.PressImages.Add(new PressImage() { PhotoID = 68, PhotoName = "Ploykaempetch2.jpg" });
        //press6.PressImages.Add(new PressImage() { PhotoID = 69, PhotoName = "Ploykaempetch3.jpg" });

        Press press7 = new Press() { PressID = 7, PressName = "VOLUME MAGAZINE" };
        press7.PressImages.Add(new PressImage() { PhotoID = 70, PhotoName = "volume1.jpg" });
        press7.PressImages.Add(new PressImage() { PhotoID = 71, PhotoName = "volume2.jpg" });
        press7.PressImages.Add(new PressImage() { PhotoID = 72, PhotoName = "volume3.jpg" });


        Press press8 = new Press() { PressID = 8, PressName = "VOGUE MAGAZINE" };
        press8.PressImages.Add(new PressImage() { PhotoID = 73, PhotoName = "vogue1.jpg" });
        press8.PressImages.Add(new PressImage() { PhotoID = 74, PhotoName = "vogue2.jpg" });
        press8.PressImages.Add(new PressImage() { PhotoID = 75, PhotoName = "vogue3.jpg" });


        Press press9 = new Press() { PressID = 9, PressName = "TOUCH MAGAZINE" };
        press9.PressImages.Add(new PressImage() { PhotoID = 76, PhotoName = "touch1.jpg" });
        press9.PressImages.Add(new PressImage() { PhotoID = 77, PhotoName = "touch2.jpg" });
        press9.PressImages.Add(new PressImage() { PhotoID = 78, PhotoName = "touch3.jpg" });
        press9.PressImages.Add(new PressImage() { PhotoID = 79, PhotoName = "touch3.jpg" });


        Press press10 = new Press() { PressID = 10, PressName = "WOW MAGAZINE" };
        press10.PressImages.Add(new PressImage() { PhotoID = 80, PhotoName = "wow1.jpg" });
        press10.PressImages.Add(new PressImage() { PhotoID = 81, PhotoName = "wow2.jpg" });
        press10.PressImages.Add(new PressImage() { PhotoID = 82, PhotoName = "wow3.jpg" });
        press10.PressImages.Add(new PressImage() { PhotoID = 83, PhotoName = "wow4.jpg" });
        press10.PressImages.Add(new PressImage() { PhotoID = 84, PhotoName = "wow5.jpg" });
        press10.PressImages.Add(new PressImage() { PhotoID = 85, PhotoName = "wow6.jpg" });
        press10.PressImages.Add(new PressImage() { PhotoID = 86, PhotoName = "wow7.jpg" });


        Press press11 = new Press() { PressID = 11, PressName = "DICHAN MAGAZINE" };
        press11.PressImages.Add(new PressImage() { PhotoID = 87, PhotoName = "dichan1.jpg" });


        Press press12 = new Press() { PressID = 12, PressName = "POOYING MAGAZINE" };
        //press12.PressImages.Add(new PressImage() { PhotoID = 88, PhotoName = "phuying1.jpg" });
        press12.PressImages.Add(new PressImage() { PhotoID = 89, PhotoName = "phuying2.jpg" });

        Press press13 = new Press() { PressID = 13, PressName = "HARPER 'S BAZAAR" };
        //press13.PressImages.Add(new PressImage() { PhotoID = 46, PhotoName = "official23.jpg" });
        press13.PressImages.Add(new PressImage() { PhotoID = 47, PhotoName = "official24.jpg" });
        //press13.PressImages.Add(new PressImage() { PhotoID = 48, PhotoName = "official25.jpg" });
        press13.PressImages.Add(new PressImage() { PhotoID = 49, PhotoName = "official26.jpg" });
        press13.PressImages.Add(new PressImage() { PhotoID = 50, PhotoName = "official27.jpg" });
        //press13.PressImages.Add(new PressImage() { PhotoID = 51, PhotoName = "official28.jpg" });
        press13.PressImages.Add(new PressImage() { PhotoID = 52, PhotoName = "official29.jpg" });
        press13.PressImages.Add(new PressImage() { PhotoID = 53, PhotoName = "official30.jpg" });


        Press press14 = new Press() { PressID = 14, PressName = "THE MAGAZINE" };
        press14.PressImages.Add(new PressImage() { PhotoID = 29, PhotoName = "official6.jpg" });
        press14.PressImages.Add(new PressImage() { PhotoID = 30, PhotoName = "official7.jpg" });
        press14.PressImages.Add(new PressImage() { PhotoID = 31, PhotoName = "official8.jpg" });
        press14.PressImages.Add(new PressImage() { PhotoID = 32, PhotoName = "official9.jpg" });
        //press14.PressImages.Add(new PressImage() { PhotoID = 33, PhotoName = "official10.jpg" });
        press14.PressImages.Add(new PressImage() { PhotoID = 34, PhotoName = "official11.jpg" });
        press14.PressImages.Add(new PressImage() { PhotoID = 35, PhotoName = "official12.jpg" });
        press14.PressImages.Add(new PressImage() { PhotoID = 36, PhotoName = "official13.jpg" });
        press14.PressImages.Add(new PressImage() { PhotoID = 37, PhotoName = "official14.jpg" });
        press14.PressImages.Add(new PressImage() { PhotoID = 38, PhotoName = "official15.jpg" });
        press14.PressImages.Add(new PressImage() { PhotoID = 39, PhotoName = "official16.jpg" });
        press14.PressImages.Add(new PressImage() { PhotoID = 40, PhotoName = "official17.jpg" });
        press14.PressImages.Add(new PressImage() { PhotoID = 41, PhotoName = "official18.jpg" });
        press14.PressImages.Add(new PressImage() { PhotoID = 42, PhotoName = "official19.jpg" });
        press14.PressImages.Add(new PressImage() { PhotoID = 43, PhotoName = "official20.jpg" });
        press14.PressImages.Add(new PressImage() { PhotoID = 44, PhotoName = "official21.jpg" });
        press14.PressImages.Add(new PressImage() { PhotoID = 45, PhotoName = "official22.jpg" });

        Press press15 = new Press() { PressID = 15, PressName = "IMAGE MAGAZINE" };
        //press15.PressImages.Add(new PressImage() { PhotoID = 98, PhotoName = "photo98.jpg" });



        list.Add(press1);
        list.Add(press2);
        list.Add(press3);
        list.Add(press4);
        list.Add(press5);
        //list.Add(press6);
        list.Add(press7);
        list.Add(press8);
        list.Add(press9);
        list.Add(press10);
        list.Add(press11);
        list.Add(press12);
        list.Add(press13);
        list.Add(press14);
        list.Add(press15);
        return list;
    }

    public Press GetPress(int PressID)
    {
        List<Press> list = GetAllPress();
        return list.SingleOrDefault(f => f.PressID == PressID);
    }
}